# numberwords.py
# --------------
# By MWC Contributors
# Functions to print out a verbal representation of an integer.

MAXIMUM = 1000000
DIGIT_NAMES = [
    "zero", "one", "two", "three", "four", "five", "six", "seven", "eight", "nine"
]
TWEEN_AND_TEEN_NAMES = [
    "ten", "eleven", "twelve", "thirteen", "fourteen", "fifteen", "sixteen", "seventeen", "eighteen", "nineteen"
]
TENS_NAMES = [
    "", "ten", "twenty", "thirty", "forty", "fifty", "sixty", "seventy", "eighty", "ninety"
]

def int_under_1000000_to_str(number):
    if 1000 <= number < 1000000:
       thousands = number // 1000
       remainder = number % 1000
       if remainder >0:
           return int_under_1000_to_str(thousands) + " " + "thousand" + " " + int_under_1000_to_str(remainder)
       else:
           return int_under_1000_to_str(thousands)+ " " + "thousand"
    elif 0 <= number < 1000:
        return int_under_1000_to_str(number)
        
def int_under_1000_to_str(number):
    if 100 <= number < 1000:
        hundreds = number //100
        remainder = number % 100
        if remainder > 0:
            return DIGIT_NAMES[hundreds]+ " " + "hundred and" + " " + int_under_100_to_str(remainder)
        else:
            return DIGIT_NAMES[hundreds]+ " " + "hundred"
    elif 0<=number<100:
        return int_under_100_to_str(number)

def int_under_100_to_str(number):
    if 20 <= number < 100:
        tens = number // 10
        ones = number % 10
        if ones == 0:
            return TENS_NAMES[tens]
        else: 
            return TENS_NAMES[tens] + "-" + DIGIT_NAMES[ones]
    elif 0<= number <20:
        return int_under_20_to_str(number)

def int_under_20_to_str(number):
    if 10 <= number < 20:
        return TWEEN_AND_TEEN_NAMES[number - 10]
    elif 0<= number < 10:
        return int_under_10_to_str(number)

def int_under_10_to_str(number):
    if 0 <= number < 10:
        return DIGIT_NAMES[number]

def divide_with_remainder(dividend, divisor):
    """Divides one number by another, using whole-number division. 
    Returns the quotient and the remainder. 
    """
    quotient = dividend // divisor
    remainder = dividend % divisor
    return quotient, remainder
